Template Numerical Library: TNL::Algorithms::Segments::GrowingSegmentsView< Segments, SegmentsView_ > Struct Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TNL::Algorithms::Segments::GrowingSegmentsView< Segments, SegmentsView_ > Struct Template Reference
Inheritance diagram for TNL::Algorithms::Segments::GrowingSegmentsView< Segments, SegmentsView_ >:
[legend]
Collaboration diagram for TNL::Algorithms::Segments::GrowingSegmentsView< Segments, SegmentsView_ >:
[legend]

## Public Types
using | DeviceType = typename SegmentsType::DeviceType
using | FillingVector = Containers::Vector< IndexType, DeviceType, IndexType >
using | FillingVectorView = typename FillingVector::ViewType
using | IndexType = typename SegmentsType::IndexType
using | SegmentsConstView = typename SegmentsType::ConstViewType
using | SegmentsType = Segments
using | SegmentsView = typename SegmentsType::ViewType

## Public Member Functions
| GrowingSegmentsView (SegmentsView &&segmentsView, FillingVectorView &&fillingView)
void | clear ()
__cuda_callable__ IndexType | deleteSlot (IndexType segmentIdx)
template<typename Function>
void | forAllElements (Function &&f)
template<typename Function>
void | forElements (IndexType begin, IndexType end, Function &&f)
const FillingVector & | getFilling () const
__cuda_callable__ IndexType | newSlot (IndexType segmentIdx)
template<typename Fetch, typename Reduction, typename ResultKeeper, typename Value>
void | reduceAllSegments (Fetch &fetch, const Reduction &reduction, ResultKeeper &keeper, const Value &identity) const
template<typename Fetch, typename Reduction, typename ResultKeeper, typename Value>
void | reduceSegments (IndexType begin, IndexType end, Fetch &&fetch, Reduction &&reduction, ResultKeeper &&keeper, const Value &identity) const

The documentation for this struct was generated from the following file:

- src/TNL/Algorithms/Segments/GrowingSegmentsView.h